using QwirkleClassLibrary.Games;
using QwirkleClassLibrary.Players;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Qwirkle.Views;

public partial class ScoreboardLine : ContentView
{
    public ReadOnlyDictionary<Player, int> scoreboard = ((App)App.Current!).Game.ScoreBoard;

    List<string> nameTags = scoreboard.Keys.ToList();

    List<int> nbPoints = scoreboard.Values.ToList();

    Dictionary<Player, int> modifiableDictionary = new Dictionary<Player, int>(scoreboard);



    public static readonly BindableProperty ScoreboardLineProperty = BindableProperty.Create("ScoreBLine", typeof(ScoreboardLine), typeof(object));

    public ScoreboardLine()
    {
        InitializeComponent();
        BindingContext = scoreboard;
    }


}